List sku_warehouse_settings for an account, with the min/max of any campaign in effect. Optionally filter by warehouseId or sku_id.
GET
/v2/api/stocktriggers
curl \
--request GET 'https://api.maddenanalytics.com/v2/api/stocktriggers' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"allowMaxAuto": true,
"allowMinAuto": true,
"campaignID": 42,
"id": 42,
"key": "string",
"lastRestockDate": "string",
"lowerLimit": 42,
"max": 42,
"min": 42,
"minMaxSource": "string",
"minMaxUpdatedAt": "string",
"preventRestock": true,
"season": "string",
"settingMax": 42,
"settingMin": 42,
"sku": "string",
"skuID": 42,
"startDate": "string",
"upperLimit": 42,
"warehouseExternalId": "string",
"warehouseID": "string"
}
]
Response examples (default)
{
"error": "Error Type (if any)",
"message": "Message describing the error",
"statusCode": 400
}